Examplary
  • Start for free

    Create permission

    POSThttps://api.examplary.ai/permissions/{resource}

    Create a new permission for a specific resource, or update the role of an existing actor.

    Path parameters

    resourcestringrequired

    The ID of the resource to assign the permission on, e.g. `exam_1234`.

    Request body

    actorstringrequired

    The ID of the actor to assign the permission to, e.g. `user_1234`, `group_1234`, `org_1234` or `public`.

    rolestringrequired

    Allowed values:ownermanagereditorviewerparticipant

    sendInviteboolean· default: false

    Whether to email the user about their access to the resource. Defaults to false.

    Responses

    201 — The created or updated permission.

    actorobjectrequired
    rolestringrequired

    Allowed values:ownermanagereditorviewerparticipant

    createdAtstring· date-time· pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$required
    updatedAtstring· date-time· pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$required
    createdBystringrequired
    inheritedFromobject

    Present when the actor inherits access because the resource lives in a shared folder.

    403 — No access to manage this resource.

    Requirements

    Rate limit

    100 requests per minute per user.

    OAuth scopes

    This endpoint requires the permissions:write scope to be present.